
<!--Cabecalho -->
<?php $this->load->view('commons/cabecalho'); ?>
<style>
    .l-certificados{
        display: none;
    }
    .hide {
        display: none;
    }
</style>
<?php $this->load->view('commons/header'); ?>
<?php $this->load->view('commons/menu'); ?>

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>Certificados em Lote</h1>   
    </section>
    <!-- Main content -->
    <section class="content container-fluid">
        <div class="box">
            <div class="box-body">    
                <div class="row">
                    <div class="col-sm-12">
                        <ul class="nav nav-tabs">
                            <li class="active"><a data-toggle="tab" href="#cert-lotes">Certificados</a></li>
                            <li><a data-toggle="tab" class="lista-lista" href="#lista-cert-lotes">Lotes</a></li>
                        </ul>
                        <div class="tab-content">
                            <div id="cert-lotes" class="tab-pane fade in active"> <br> 
                                <section class="content container-fluid">
                                    <div class="box">
                                        <div class="box-body">

                                            <?php echo $this->session->flashdata('erro-form'); ?>

                                            <div class="row">
                                                <div class="col-sm-12">
                                                    <div class="row">
                                                        <div class="col-sm-3">
                                                            <span class="estudou"> <i class="fa fa-square" aria-hidden="true" style="color:  black"></i> CERTIFICADOS: <b><?= count($novos) ?></b></span>
                                                        </div> 
                                                        <div class="col-sm-3">
                                                            <span class="estudou"> <i class="fa fa-square" aria-hidden="true" style="color:  black"></i> ALUNOS COM 1 CERTIFICADO: <b><?= $um ?></b></span>
                                                        </div> 
                                                        <div class="col-sm-3">
                                                            <span class="estudou"> <i class="fa fa-square" aria-hidden="true" style="color:  black"></i> ALUNOS COM 2 CERTIFICADOS: <b><?= $dois ?></b></span>
                                                        </div>
                                                        <div class="col-sm-3">
                                                            <span class="estudou"> <i class="fa fa-square" aria-hidden="true" style="color:  black"></i> ALUNOS COM + DE 2 CERTIFICADOS: <b><?= $tres ?></b></span>
                                                        </div> 
                                                    </div>
                                                    <form id="lista-certificados">
                                                        <div class="box-body">
                                                            <div class="input-group">
                                                                <span class="input-group-btn">
                                                                    <button type="button" class="btn btn-flat btn-botao"> <i class="fa fa-envelope-open-o"></i></button>
                                                                </span>
                                                                <input type="text" autocomplete="off" name="certificados" id="certificados-input"class="form-control only-number" required="" placeholder="Digite a quantidade de alunos para a geração dos certificados" autofocus="">
                                                            </div>
                                                            <br>
                                                            <span style="font-size: 11.5pt"><b>Selecione a quantidade de certificados por aluno</b></span>
                                                            <div class="input-group">
                                                                <input class="" type="radio" name="limite" id="inlineRadio1" value="1" checked> &nbsp;
                                                                <label class="form-check-label" for="limite">1</label> &nbsp;
                                                                <input class="" type="radio" name="limite" id="inlineRadio1" value="2"> &nbsp;
                                                                <label class="form-check-label" for="limite">2</label> &nbsp;
                                                                <input class="" type="radio" name="limite" id="inlineRadio1" value="3"> &nbsp;
                                                                <label class="form-check-label" for="limite">+2</label>
                                                            </div>
                                                        </div>
                                                        <div class="box-footer">
                                                            <button type="submit" class="btn btn-botao btn-envia-lote scroll" data-hash="l-certificados"> Pesquisar <i class="fa fa-arrow-circle-right" aria-hidden="true"></i></button>
                                                        </div>
                                                    </form>
                                                </div>
                                            </div>

                                            <br>
                                            <?php echo $this->session->flashdata('erro-certificado'); ?>

                                        </div>
                                    </div>
                                </section>
                                <section class="content container-fluid l-certificados">
                                    <div class="box">
                                        <div class="box-body">
                                            <br>
                                            <div class="row">
                                            <div class="col-sm-8 td"></div> 
                                            <div class="col-sm-4 impressao"></div>
                                            <br><br><br>
                                            </div>
                                            <div class="dataTables_wrapper form-inline dt-bootstrap">
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="table-responsive tabela-lista">
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </section>
                            </div>
                            <div id="lista-cert-lotes" class="tab-pane fade"> <br> 
                                <section class="content container-fluid">
                                    <div class="box">
                                        <div class="box-body">
                                            <br><div class="col-sm-12"></div> 
                                            <div class="dataTables_wrapper form-inline dt-bootstrap">
                                                <div class="row">
                                                    <div class="col-sm-12">
                                                        <div class="table-responsive tabela-lista-lote">
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </section>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- /.content -->
</div>
<script>
    $(document).ready(function () {
        $('.lista-lista').on('click', function (e) {
            e.preventDefault();
            $(".textos").html('<p>Aguarde...</p>');
            $("#aguardeS").css("display", "block");
            $("#blanketS").css("display", "block");
            $.ajax({
                dataType: 'json',
                url: 'Lote/listalote',
                success: function (data) {
                    if (data['situacao'] == true) {
                        $("#aguardeS").css("display", "none");
                        $("#blanketS").css("display", "none");
                        $('.tabela-lista-lote').html('');
                        var dados = data.result;
                        var table = $('<table/>', {class: 'table table-bordered table-hover animated fadeIn'});
                        var thead = $('<thead/>');
                        var tbody = $('<tbody/>');
                        var titulos = ['LOTE ', 'NOME DO LOTE', 'DATA', 'AÇÃO', ''];

                        for (var tils in titulos) {
                            thead.append(
                                    $('<th/>').text(titulos[tils])
                                    );
                        }

                        for (var i in dados) {
                            var sub_dados = dados[i];
                            var tr = $('<tr/>',{class: sub_dados.id_lote});

                            tr.append(
                                    $('<td/>').text(sub_dados.id_lote)
                                    );
                            tr.append(
                                    $('<td/>').text(sub_dados.url)
                                    );
                            tr.append(
                                    $('<td/>').text(sub_dados.data.split('-').reverse().join('/') + ' às ' + sub_dados.hora)
                                    );
                            tr.append(
                                    $('<td/>').append(
                                    $('<a/>', {class: 'btn btn-primary btn-abrir-arquivo', 'href': 'https://www.amazoniacursos.com.br/gestao/lote_certificados/' + sub_dados.url, 'target': '_blank'}).html('<i class="fa fa-file-pdf-o" aria-hidden="true"></i> Abrir Arquivo')
                                    )
                                    );
                            tr.append(
                                    $('<td/>').append(
                                    $('<button/>', {class: 'btn btn-success btn-lote-enviado', 'data-ref': sub_dados.id_lote}).html('<i class="fa fa-check-circle" aria-hidden="true"></i> Marcar Lote como <b>Enviado</b>')
                                    )
                                    )
                            tbody.append(tr);
                        }
                        table.append(thead);
                        table.append(tbody);
                        $('.tabela-lista-lote').append(table);
                    }
                }
            });
        });
    });
    $(document).ready(function () {
        $('body').delegate('.btn-lote-enviado', 'click', function (e) {
            $(".textos").html('<p>Aguarde...</p>');
            $("#aguardeS").css("display", "block");
            $("#blanketS").css("display", "block");
            var id = $(this).data("ref");
             $.ajax({
             data: {id: id},
             type: "POST",
             dataType: 'json',
             url: 'Lote/envialote',   
             success: function (data) {  
                 if (data['situacao'] == true) {
                    $("#aguardeS").css("display", "none");
                    $("#blanketS").css("display", "none"); 
                    $("." + id + "").addClass("animated fadeOut");

                    setTimeout(function () {
                        $("." + id + "").addClass("hide");
                    }, 1900);
                    alertify.set('notifier', 'delay', 5);
                    alertify.set("notifier", "position", "top-center");
                    alertify.success('Operação realizada com sucesso');
                 } else {
                    $("#aguardeS").css("display", "none");
                    $("#blanketS").css("display", "none");  
                    alertify.set('notifier', 'delay', 5);
                    alertify.set("notifier", "position", "top-center");
                    alertify.error('Houve um erro ao enviar o lote');
                 }
             }
           });
        });
    });
</script>
<script>
    $(document).ready(function () {
        $('.btn-envia-lote').click(function () {
            if (!$("input[type='radio'][name='limite']").is(':checked')) {
                alertify.set("notifier", "position", "top-center");
                alertify.error('Escolha uma das opções');
            }
        });
        $('body').delegate('#lote', 'submit', function (e) {
            e.preventDefault();
            $(".textos").html('<p>Aguarde...</p>');
            $("#aguardeS").css("display", "block");
            $("#blanketS").css("display", "block");

            $.ajax({
                data: $("#lote").serialize(),
                type: "POST",
                dataType: 'json',
                url: 'Lote/gerarlote',
                success: function (data) {
                    if (data['situacao'] == 'form-erro') {
                        $("#aguardeS").css("display", "none");
                        $("#blanketS").css("display", "none");
                        alertify.set('notifier', 'delay', 5);
                        alertify.set("notifier", "position", "top-center");
                        alertify.error(data['erro_form']);
                    } else if (data['situacao'] == 'erro-lote-certificado') {
                        $("#aguardeS").css("display", "none");
                        $("#blanketS").css("display", "none");
                        alertify.set('notifier', 'delay', 5);
                        alertify.set("notifier", "position", "top-center");
                        alertify.error('Um ou mais certificados já fazem parte de um lote');
                    } else if (data['situacao'] == true) {
                        $("#aguardeS").css("display", "none");
                        $("#blanketS").css("display", "none");
                        $('.tabela-lista').html('');
                        $('.td').html('');
                        $(".l-certificados").css("display", "none");
                        $("#certificados-input").val("");
                        $("#certificados-input").focus();
                        alertify.set('notifier', 'delay', 5);
                        alertify.set("notifier", "position", "top-center");
                        alertify.success('Operação realizada com sucesso');
                    }
                }
            });
        });
        $('body').delegate('.btn-pendente', 'click', function () {
            var id = $(this).data("ref");
            var quantidade = $(this).data("quantidade");
            var limite = $(this).data("limite");
            
            $(".textos").html('<p>Aguarde...</p>');
            $("#aguardeS").css("display", "block");
            $("#blanketS").css("display", "block");
            
            $.ajax({
                data: {id: id, quantidade: quantidade, limite: limite},
                type: "POST",
                dataType: 'json',
                url: 'Lote/atualizacertificado',
                success: function (data) {
                    if (data['situacao'] == true) {
                        $("#aguardeS").css("display", "none");
                        $("#blanketS").css("display", "none");
                        $('.tabela-lista').html('');
                        $('.impressao').html('');
                        var dados = data.result;
                        var table = $('<table/>', {class: 'table table-bordered table-hover animated fadeIn'});
                        var thead = $('<thead/>');
                        var tbody = $('<tbody/>');
                        var titulos = ['ALUNO', 'ESTADO ','&nbsp;&nbsp;ENDEREÇO', 'CURSO', 'CERTIFICADOS', '&nbsp;&nbsp;PENDENTE?'];
                        var impressao = $('.impressao');
                        for (var tils in titulos) {
                            thead.append(
                                    $('<th/>').html(titulos[tils])
                                    );
                        }
                        impressao.append(
                           $('<p><i class="fa fa-print" aria-hidden="true"></i> Você precisa colocar ' +data['total']+ ' páginas na impressora</p>')    
                        );
                        for (var i in dados) {
                            var sub_dados = dados[i];
                            var tr = $('<tr/>');
                            
                            tr.append(
                                    $('<td/>').text(sub_dados.nomealuno)
                                    );
                            tr.append(
                                    $('<td/>').html('<span> <b>' +sub_dados.estado+'</b></span>')
                                    );
                            if (sub_dados.complemento != '') {
                                tr.append(
                                        $('<td/>').text(sub_dados.endereco + ', ' + sub_dados.numero + ', ' + sub_dados.complemento + ', ' + sub_dados.bairro + ', ' + sub_dados.cidade + ', ' + sub_dados.estado + ', CEP: ' + sub_dados.cep)
                                        );
                            } else {
                                tr.append(
                                        $('<td/>').text(sub_dados.endereco + ', ' + sub_dados.numero + ', ' + sub_dados.bairro + ', ' + sub_dados.cidade + ', ' + sub_dados.estado + ', CEP: ' + sub_dados.cep)
                                        );
                            }
                            tr.append(
                                    $('<td/>').text(sub_dados.nomecurso)
                                    );
                            tr.append(
                                    $('<td/>').text(sub_dados.quantidade)
                                    );
                            tr.append(
                                    $('<td/>').append(
                                    $('<button/>', {class: 'btn btn-warning btn-pendente', 'data-ref': sub_dados.id_aluno, 'data-quantidade': data['quantidade'], 'data-limite': data['limite']}).html('<i class="fa fa-check-circle" aria-hidden="true"></i> Marcar')
                                    )
                                    );
                            tbody.append(tr);
                        }
                        table.append(thead);
                        table.append(tbody);
                        $('.tabela-lista').append(table);
                    } else if (data['situacao'] == false) {
                        $("#aguardeS").css("display", "none");
                        $("#blanketS").css("display", "none");
                        alertify.set('notifier', 'delay', 5);
                        alertify.set("notifier", "position", "top-center");
                        alertify.error('Houve um erro ao executar esta operação');
                    }
                }
            });
        });
    });
    $(document).ready(function () {
        $('#lista-certificados').submit(function (e) {
            e.preventDefault();
            $(".l-certificados").css("display", "block");
            $(".textos").html('<p>Aguarde...</p>');
            $("#aguardeS").css("display", "block");
            $("#blanketS").css("display", "block");
            $.ajax({
                data: $("#lista-certificados").serialize(),
                type: "POST",
                dataType: 'json',
                url: 'Lote/listacertificados',
                success: function (data) {
                    if (data['situacao'] == true) {
                        
                        $("#aguardeS").css("display", "none");
                        $("#blanketS").css("display", "none");
                        $('.tabela-lista').html('');
                        $('.td').html('');
                        $('.impressao').html('');
                        var dados = data.result;
                        var form = $('.td');
                        var impressao = $('.impressao');
                        var table = $('<table/>', {class: 'table table-bordered table-hover animated fadeIn'});
                        var thead = $('<thead/>');
                        var tbody = $('<tbody/>');
                        var titulos = ['ALUNO', 'ESTADO','&nbsp;&nbsp;ENDEREÇO', 'CURSO', 'CERTIFICADOS', '&nbsp;&nbsp;PENDENTE?'];

                        form.append(
                                $('<form id="lote" style="margin-left: -3%; padding-bottom: 2%;">\n\
                                    <div class="col-sm-4">\n\
                                        <div class="input-group">\n\
                                         <span class="input-group-btn">\n\
                                         <button type="button" class="btn btn-flat btn-botao"> <i class="fa fa-envelope-open-o"></i></button>\n\
                                         </span>\n\
                                         <input type="text" class="form-control" name="lote" placeholder="Digite o nome do lote" required="" autocomplete="off"/><input type="hidden" name="quantidade" value="' + data['limite'] + '"/><input type="hidden" name="limite" value="' + data['quantidade'] + '"/>\n\
                                        </div></div>\n\
                                        <div class="col-sm-4">\n\
                                         <button type="submit" class="btn btn-botao btn-envia-lote"> Gerar Lote <i class="fa fa-arrow-circle-right" aria-hidden="true"></i></button>\n\
                                    </div>\n\
                                   </form>')
                                );
                        impressao.append(
                           $('<p><i class="fa fa-print" aria-hidden="true"></i> Você precisa colocar ' +data['total']+ ' páginas na impressora</p>')    
                        );
                        for (var tils in titulos) {
                            thead.append(
                                    $('<th/>').html(titulos[tils])
                                    );
                        } 
                        for (var i in dados) {
                            var sub_dados = dados[i];
                            var tr = $('<tr/>');
                          
                            tr.append(
                                    $('<td/>').text(sub_dados.nomealuno)
                                    );
                            tr.append(
                                    $('<td/>').html('<span> <b>' +sub_dados.estado+'</b></span>')
                                    );
                            if (sub_dados.complemento != '') {
                                tr.append(
                                        $('<td/>').text(sub_dados.endereco + ', ' + sub_dados.numero + ', ' + sub_dados.complemento + ', ' + sub_dados.bairro + ', ' + sub_dados.cidade + ', ' + sub_dados.estado + ', CEP: ' + sub_dados.cep)
                                        );
                            } else {
                                tr.append(
                                        $('<td/>').text(sub_dados.endereco + ', ' + sub_dados.numero + ', ' + sub_dados.bairro + ', ' + sub_dados.cidade + ', ' + sub_dados.estado + ', CEP: ' + sub_dados.cep)
                                        );
                            }
                            tr.append(
                                    $('<td/>').text(sub_dados.nomecurso)
                                    );
                            tr.append(
                                    $('<td/>').text(sub_dados.quantidade)
                                    );
                            tr.append(
                                    $('<td/>').append(
                                    $('<button/>', {class: 'btn btn-warning btn-pendente', 'data-ref': sub_dados.id_aluno, 'data-quantidade': data['limite'], 'data-limite': data['quantidade']}).html('<i class="fa fa-check-circle" aria-hidden="true"></i> Marcar')
                                    )
                                    );
                            tbody.append(tr);
                        }
                        table.append(thead);
                        table.append(tbody);
                        $('.tabela-lista').append(table);
                    } else if (data['situacao'] == 'form-erro') {
                        $("#aguardeS").css("display", "none");
                        $("#blanketS").css("display", "none");
                        alertify.set('notifier', 'delay', 5);
                        alertify.set("notifier", "position", "top-center");
                        alertify.error(data['erro_form']);
                    } else if (data['situacao'] == false) {
                        $("#aguardeS").css("display", "none");
                        $("#blanketS").css("display", "none");
                        alertify.set('notifier', 'delay', 5);
                        alertify.set("notifier", "position", "top-center");
                        alertify.error('Não há certificados para a quantidade escolhida');
                    }
                }
            });
        });
    });
</script>
<!-- /.content-wrapper -->
<?php $this->load->view('commons/rodape'); ?>
